CDEV_ADD(9)

NAME
cdev_add - add a char device to the system

SYNOPSIS

int cdev_add(struct cdev * p, dev_t dev, unsigned count);

ARGUMENTS

p
    the cdev structure for the device

dev
    the first device number for which this device is responsible

count
    the number of consecutive minor numbers corresponding to this device

DESCRIPTION

cdev_add adds the device represented by p to the system, making it live immediately. A negative error code is returned on failure.

COPYRIGHT